GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/ppc-obsd-tdep.h File Reference

Go to the source code of this file.

## Functions
void | ppcobsd_supply_gregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
void | ppcobsd_collect_gregset (const struct regset *regset, const struct regcache *regcache, int regnum, void *gregs, size_t len)

## Variables
struct ppc_reg_offsets | ppcobsd_reg_offsets
struct ppc_reg_offsets | ppcobsd_fpreg_offsets
const struct regset | ppcobsd_gregset
const struct regset | ppcobsd_fpregset

## Function Documentation

## ◆ ppcobsd_collect_gregset()

void ppcobsd_collect_gregset | ( | const struct regset * | regset,
|  | const struct regcache * | regcache,
|  | int | regnum,
|  | void * | gregs,
|  | size_t | len
| ) |  |

Definition at line 61 of file ppc-obsd-tdep.c.

References ppc_collect_fpregset(), ppc_collect_gregset(), and regnum.

## ◆ ppcobsd_supply_gregset()

void ppcobsd_supply_gregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | gregs,
|  | size_t | len
| ) |  |

Definition at line 47 of file ppc-obsd-tdep.c.

References ppc_supply_fpregset(), ppc_supply_gregset(), and regnum.

## Variable Documentation

## ◆ ppcobsd_fpreg_offsets

struct ppc_reg_offsets ppcobsd_fpreg_offsets

Definition at line 37 of file ppc-obsd-tdep.c.

Referenced by _initialize_ppcobsd_nat(), and _initialize_ppcobsd_tdep().

## ◆ ppcobsd_fpregset

const struct regset ppcobsd_fpregset

Definition at line 77 of file ppc-obsd-tdep.c.

Referenced by ppcobsd_fetch_registers(), and ppcobsd_store_registers().

## ◆ ppcobsd_gregset

const struct regset ppcobsd_gregset

Definition at line 71 of file ppc-obsd-tdep.c.

Referenced by ppcobsd_fetch_registers(), ppcobsd_iterate_over_regset_sections(), and ppcobsd_store_registers().

## ◆ ppcobsd_reg_offsets

struct ppc_reg_offsets ppcobsd_reg_offsets

Definition at line 36 of file ppc-obsd-tdep.c.

Referenced by _initialize_ppcobsd_nat(), and _initialize_ppcobsd_tdep().